%define major		5
%define libname		%mklibname %{name} %{major}
%define olddevel	%libname-devel
%define libnamedevel	%mklibname %{name} -d
%define tarballver	%(echo %version|sed -e 's/\\./-/g')

Name:		vigra
Version:	1.10.0
Release:	%mkrel 7
Summary:	Generic Programming for Computer Vision
License:	MIT
Group:		Development/C
URL:		http://kogs-www.informatik.uni-hamburg.de/~koethe/vigra/
Source0:	https://github.com/ukoethe/vigra/archive/Version-%{tarballver}.tar.gz
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(OpenEXR)
BuildRequires:	pkgconfig(fftw3) >= 3
BuildRequires:	hdf5-devel
BuildRequires:	boost-devel
BuildRequires:	libjpeg-devel
BuildRequires:	python-numpy-devel
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(nose)
BuildRequires:	pythonegg(2)(sphinx)

%description
VIGRA stands for "Vision with Generic Algorithms". It's a novel computer vision
library that puts its main emphasis on customizable algorithms and data
structures. By using template techniques similar to those in the C++ Standard
Template Library, you can easily adapt any VIGRA component to the needs of your
application without thereby giving up execution speed.

%package -n	%{libname}
Summary:	Library of vigra library
Group:		Development/C
Obsoletes:	%{name} = 1.10.0

%description -n	%{libname}
VIGRA stands for "Vision with Generic Algorithms". It's a novel computer vision
library that puts its main emphasis on customizable algorithms and data
structures. By using template techniques similar to those in the C++ Standard
Template Library, you can easily adapt any VIGRA component to the needs of your
application without thereby giving up execution speed.

%package -n	%{libnamedevel}
Summary:	Development tools for programs which will use the vigra library
Group:		Development/C
Requires:	%{libname} = %{version}
Requires:	pythonegg(2)(sphinx)
Requires:	python-numpy-devel
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < 1.10.0-6

%description -n	%{libnamedevel}
The %{_lib}vigra-devel package includes the header files necessary for developing
programs that use the %{name} library.

%package -n	python-%{name}
Summary:	Python interface for the vigra computer vision library
Group:		Development/Python
Requires:	pythonegg(2)(numpy)
Obsoletes:	%{name}-python < 1.10.0-6
Provides:	%{name}-python = %{version}-%{release}

%description -n	python-%{name}
The python-%{name} package provides python 2 bindings for %{name}.

%prep
%setup -q -n %{name}-Version-%{tarballver}

# cleanup
rm -f doc/vigranumpy/.buildinfo

%build
%cmake \
	-DDOCINSTALL=share/doc/%{name} \
	-DWITH_OPENEXR=ON
make

%install
%make_install -C build

%files -n %{libname}
%{_libdir}/lib%{name}impex.so.%{major}
%{_libdir}/lib%{name}impex.so.%{major}.*

%files -n %{libnamedevel}
%doc %{_datadir}/doc/%{name}
%{_bindir}/%{name}-config
%{_includedir}/%{name}/
%{_libdir}/lib%{name}impex.so
%{_libdir}/%{name}/
%{_libdir}/vigranumpy/VigranumpyConfig.cmake

%files -n python-%{name}
%{python2_sitearch}/%{name}/


%changelog
* Sat Dec 26 2015 daviddavid <daviddavid> 1.10.0-7.mga6
+ Revision: 915161
- rebuild for new boost 1.60.0

* Sat Sep 26 2015 daviddavid <daviddavid> 1.10.0-6.mga6
+ Revision: 883847
- rename subpackage vigra-python to python-vigra
- rename subpackage vigra-devel to lib(64)vigra-devel
- switch BuildRequires to pkgconfig()
- use new python2 macros
- rebuild for new boost 1.59.0

* Wed Aug 26 2015 fwang <fwang> 1.10.0-5.mga6
+ Revision: 869503
- rebuild for gcc5

* Wed Aug 12 2015 fwang <fwang> 1.10.0-4.mga6
+ Revision: 863444
- fix wrong lib packaging

* Wed Aug 12 2015 fwang <fwang> 1.10.0-3.mga6
+ Revision: 863424
- force build with openexr support

* Wed Aug 12 2015 fwang <fwang> 1.10.0-2.mga6
+ Revision: 863423
- enable openexr support

* Wed Aug 12 2015 fwang <fwang> 1.10.0-1.mga6
+ Revision: 863409
- add cmake file
- update file list
- do not build parallel
- 1.10.0
- add more python br

  + daviddavid <daviddavid>
    - rebuild for new boost-1.58.0

* Tue Jul 21 2015 daviddavid <daviddavid> 1.9.0-8.mga6
+ Revision: 855922
- rebuild with new hdf5

* Wed Oct 15 2014 umeabot <umeabot> 1.9.0-7.mga5
+ Revision: 743918
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.9.0-6.mga5
+ Revision: 730709
- rebuild for missing pythoneggs deps

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Sat Feb 08 2014 barjac <barjac> 1.9.0-3.mga5
+ Revision: 586846
- rebuild against boost-1.55

* Sat Oct 19 2013 umeabot <umeabot> 1.9.0-2.mga4
+ Revision: 530083
- Mageia 4 Mass Rebuild

* Tue Jul 16 2013 fwang <fwang> 1.9.0-1.mga4
+ Revision: 455011
- new version 1.9.0

* Tue Jul 16 2013 fwang <fwang> 1.8.0-10.mga4
+ Revision: 455009
- rebuild for new hdf5

* Mon Jul 15 2013 fwang <fwang> 1.8.0-9.mga4
+ Revision: 454593
- rebuild for new boost

* Sun Jun 02 2013 fwang <fwang> 1.8.0-8.mga4
+ Revision: 434964
- rebuild for new libpng

* Thu Apr 11 2013 ennael <ennael> 1.8.0-7.mga3
+ Revision: 409506
- rebuild for boost-1.53

* Mon Jan 14 2013 umeabot <umeabot> 1.8.0-6.mga3
+ Revision: 385413
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 1.8.0-5.mga3
+ Revision: 333125
- rebuild for new boost

* Fri Aug 03 2012 fwang <fwang> 1.8.0-4.mga3
+ Revision: 278116
- fix build with gcc 4.7
- rebuild for new boost

* Wed May 30 2012 fwang <fwang> 1.8.0-3.mga3
+ Revision: 250140
- rebuild for new boost

* Sun Dec 25 2011 fwang <fwang> 1.8.0-2.mga2
+ Revision: 187454
- rebuild for new lbitiff

* Sun Dec 11 2011 eatdirt <eatdirt> 1.8.0-1.mga2
+ Revision: 180500
- Upgrade to 1.8.0

* Mon Nov 28 2011 fwang <fwang> 1.7.1-3.mga2
+ Revision: 173669
- rebuild for new boost

* Sun Sep 11 2011 grenoya <grenoya> 1.7.1-2.mga2
+ Revision: 142487
- replace require of numpy and numpy-f2py by python-numpy-devel (it contains f2py and will pull python-numpy)

* Sun Sep 11 2011 fwang <fwang> 1.7.1-1.mga2
+ Revision: 142330
- fix group
- update file list
- update file list
- clean spec
- update file list
- new version 1.7.1
- add gentoo patch to build with libpng1.5
- add more br
- fix br
- rebuild for new libpng

  + dmorgan <dmorgan>
    - New version 1.7.0
      Sync with fedora

* Sun Jan 23 2011 dmorgan <dmorgan> 1.5.0-7.mga1
+ Revision: 34527
- Remove mdv macros
- add %%{name}-devel on the devel package
- imported package vigra


* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 1.5.0-7mdv2011.0
+ Revision: 608124
- rebuild

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.5.0-6mdv2010.1
+ Revision: 488807
- rebuilt against libjpeg v8

* Wed Sep 09 2009 Thierry Vignaud <tv@mandriva.org> 1.5.0-5mdv2010.0
+ Revision: 434673
- rebuild
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.5.0-3mdv2009.0
+ Revision: 255552
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.5.0-1mdv2008.1
+ Revision: 136570
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 23 2007 Couriousous <couriousous@mandriva.org> 1.5.0-1mdv2008.0
+ Revision: 54863
- 1.5.0
- Import vigra



* Sun Apr  2 2006 Couriousous <couriousous@mandriva.org> 1.4.0-1mdk
- 1.4.0

* Sat Oct  1 2005 Couriousous <couriousous@mandriva.org> 1.3.3-1mdk
- 1.3.3
- fix some warning

* Fri Jun 17 2005 Couriousous <couriousous@mandriva.org> 1.3.2-2mdk
- Rebuild

* Sun Apr 03 2005 Couriousous <couriousous@mandrake.org> 1.3.2-1mdk
- New Release
- Multiarch

* Sun Jan 23 2005 Couriousous <couriousous@mandrake.org> 1.3.1-1mdk
- New Release

* Thu Dec 08 2004 Couriouous <couriousous@mandrake.org> 1.3.0-1mdk
- 1.3.0
- Remove patch0, merged upstream

* Thu Jul 01 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.2.0-4mdk 
- more complete patch from upstream

* Wed Jun 09 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.2.0-3mdk 
- fixed build
- rpmbuildupdate aware
- dropped patch0

* Sat Mar 13 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.2.0-2mdk
- fix link

* Mon Jan 12 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.2.0-1mdk
- first mdk package (leafred <fred@lea-linux.org>)
